Bug 634 - smbd panic in ldap_msgfree()
smbd panic in ldap_msgfree()
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks: 807
  Show dependency treegraph
 
Reported: 2003-10-16 03:31 UTC by Michal Kulczycki
Modified: 2005-11-14 09:29 UTC (History)
0 users

See Also:


Attachments
simple log (8.44 KB, text/plain)
2003-10-28 16:35 UTC, Alexander Korinek
no flags Details
smb.conf (4.95 KB, text/plain)
2003-10-28 16:38 UTC, Alexander Korinek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Kulczycki 2003-10-16 03:31:44 UTC
I do not have tools nor experience to make this bug report more informative so 
I just append info I found in logs. Bug seems quite important because an hour 
after the SMB panic, we noticed that we've lost some 300 files.

lib/fault.c:fault_report(36)  
=============================================================== : 1 Time(s)
lib/fault.c:fault_report(37)  INTERNAL ERROR: Signal 11 in pid 12039 (3.0.0)  
Please read the appendix Bugs of the Samba HOWTO collection : 1 Time(s)
lib/fault.c:fault_report(39)  
=============================================================== : 1 Time(s)
lib/util.c:smb_panic(1400)  PANIC: internal error : 1 Time(s)
lib/util.c:smb_panic(1407)  BACKTRACE: 15 stack frames:   #0 smbd
(smb_panic+0x11c) [0x81bd15c]   #1 smbd [0x81abcb2]   #2 /lib/tls/libc.so.6 
[0x420276f8]   #3 /lib/tls/libc.so.6 [0x42074249]   #4 /lib/tls/libc.so.6
(malloc+0x8b) [0x4207360b]   #5 smbd(Realloc+0xd7) [0x81bc737]   #6 smbd 
[0x80ac081]   #7 smbd(reply_trans2+0x6de) [0x80b395e]   #8 smbd [0x80c6ea6]   
#9 smbd [0x80c7079]   #10 smbd(process_smb+0x8f) [0x80c728f]   #11 smbd
(smbd_process+0x167) [0x80c7ec7]   #12 smbd(main+0x4bf) [0x822626f]   
#13 /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x420156a4]   #14 smbd
(ldap_msgfree+0x89) [0x8076691] : 1 Time(s)
Comment 1 Gerald (Jerry) Carter 2003-10-16 07:35:44 UTC
Jeremy,  Is this the one you just fixed?
Comment 2 Alexander Korinek 2003-10-28 16:32:41 UTC
I get the same Error when i log on into samba3 domain and he loads the profile 
or when i open a properties window in winxp from a network share.
Comment 3 Alexander Korinek 2003-10-28 16:35:48 UTC
Created attachment 229 [details]
simple log
Comment 4 Alexander Korinek 2003-10-28 16:38:17 UTC
Created attachment 230 [details]
smb.conf
Comment 5 Gerald (Jerry) Carter 2003-11-30 21:08:43 UTC
can this be reproduced in 3.0.1pre3 ?
Comment 6 Gerald (Jerry) Carter 2003-12-07 22:00:24 UTC
should be fixed in 3.0.1rc1
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:18:52 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 8 Gerald (Jerry) Carter 2005-11-14 09:29:19 UTC
database cleanup